{% extends "styleguide2/base.html" %}

{% load wagtailcore_tags wagtailimages_tags shared_filters shared_perex %}

{% block content %}
  {% block navbar %}
    {% include 'styleguide2/includes/organisms/layout/navbar.html' with selected_item=page.root_page.people_page.get_menu_title is_transparent=True is_on_dark_background=True %}
  {% endblock %}

  {% block header %}
    {% include 'styleguide2/includes/organisms/header/person_header.html' with first_nav_text=page.root_page.people_page.title first_nav_link=page.root_page.people_page.url second_nav_text=page.primary_group degree_before=page.before_name name=page.title degree_after=page.after_name function=page.position job=page.job main_image=page.main_image profile_image=page.get_profile_image %}
  {% endblock %}

  <main role="main">
    <div class="container--wide w-full">
      <section class="grid-container person-grid-container !ml-0">
        <div class="grid-left-side-with-content leading-6">
          <article
            class="
              mb-4
              xl:mb-24 xl:mr-2 xl:pr-40
            "
          >
            <div
              class="
                prose max-w-[100ch]
                
                [&_p]:leading-7 [&_p]:text-black [&_p]:text-lg [&_p]:whitespace-pre-line
              "
            >
              {% if page.perex %}
                <p class="mb-4">
                  {{ page.perex }}
                </p>
              {% endif %}

              {{ page.text|richtext }}
            </div>
          </article>
        </div>
        <div class="grid-right-side mb-8 xl:mb-0">
          {% if page.phone or page.email or page.social_links %}
            <div>
              <h3
                class="
                  hidden font-alt text-[3.5rem] mb-3
                  xl:block
                "
              >Kontakty</h3>
            </div>

            <div class="flex flex-col gap-2 text-lg mb-12">
              {% if page.phone %}
                <a href="tel:{{ page.phone }}" class="font-bold underline">
                  {{ page.phone }}
                </a>
              {% endif %}

              {% if page.email %}
                <a href="mailto:{{ page.email }}" class="font-bold underline">
                  {{ page.email }}
                </a>
              {% endif %}

              <div class="flex flex-col pt-4 gap-3">
                {% for social_link in page.social_links %}
                  <div class="flex items-center gap-2">
                    <i class="{{ social_link.value.icon }}"></i>
                    <a href="{{ social_link.value.link }}" class="underline">
                      {{ social_link.value.text }}
                    </a>
                  </div>
                {% endfor %}
              </div>
            </div>
          {% endif %}
        </div>
      </section>
    </div>

    {% if page.calendar %}
      <section class="mb-4 xl:mb-20 container--wide w-full">
        <div class="grid-container person-grid-container !ml-0">
          <div class="grid-left-side-with-content">
            <h2 class="text-[3.5rem] font-alt text-left">
              Kalendář
            </h2>
          </div>
        </div>

        <div class="grid-container person-grid-container !ml-0">
          <div class="grid-left-side-with-content">
            <div>
              {% include 'styleguide2/includes/atoms/calendar/calendar.html' with calendar_data=page.get_fullcalendar_data %}
            </div>
          </div>
        </div>
      </section>
    {% endif %}

    {% if article_page_list %}
      <section class="mb-4 xl:mb-20 container--wide w-full">
        <div class="grid-container person-grid-container mb-3 !ml-0">
          <div class="grid-left-side-with-content">
            <h2 class="font-alt text-[3.5rem]">
              Články
            </h2>
          </div>
        </div>

        <div class="grid-container person-grid-container !ml-0">
          <div class="grid-full !ml-0">
            <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 content-stretch gap-8">
              {% for related_article in article_page_list %}

                {% image related_article.image max-500x500 as article_image %}

                {% include 'styleguide2/includes/molecules/boxes/card_box.html' with url=related_article.url image=article_image header=related_article.title content=related_article.perex|shorten_perex description_classes='!bg-grey-180' date=related_article.date %}
              {% endfor %}
            </div>
          </div>
        </div>
      </section>
    {% endif %}

    {% if page.related_people %}
      <section class="mb-4 xl:mb-20 container--wide w-full">
        <div class="grid-container person-grid-container mb-4 !ml-0">
          <div class="grid-left-side-with-content">
            <h2 class="text-[3.5rem] font-alt text-left">
              Další lidé
            </h2>
          </div>
        </div>

        <div class="grid-container person-grid-container !ml-0">
          <div class="grid-full">
            <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 content-stretch gap-8">
              {% for person in page.related_people %}
                {% with person.value as person %}
                  {% image person.specific.get_profile_image fill-500x500 as profile_image %}

                  {% include 'styleguide2/includes/molecules/boxes/card_box.html' with image=profile_image url=person.url header=person.title content=person.position description_classes='!bg-grey-180' %}
                {% endwith %}
              {% endfor %}
            </div>
          </div>
        </div>
      </section>
    {% endif %}

    {% block newsletter %}
      {% include 'styleguide2/includes/organisms/main_section/newsletter_section.html' %}
    {% endblock %}
  </main>
{% endblock content %}
